# ----
# KVM On Power spec file
# ----

# Turn off the brp-python-bytecompile script
%global __os_install_post %(echo '%{__os_install_post}' | sed -e 's!/usr/lib[^[:space:]]*/brp-python-bytecompile[[:space:]].*$!!g')

# Use MD5 for file digest (backwards compatible)
%global _binary_filedigest_algorithm 1
%global _source_filedigest_algorithm 1

# use gzip compression level 9
%global _binary_payload w9.gzdio
%global _source_payload w9.gzdio

%define pkvm_version 3.4.4.0
%define pkvm_release 31
%define pkvm_respin .0

Name:      ibm-powerkvm-common
Version:   %{pkvm_version}
Release:   %{pkvm_release}%{?pkvm_respin}%{?dist}
License:   EPL
Vendor:    IBM
Packager:  LTC
Group:     Application
Summary:   %{label} common
Source:    ibm-powerkvm-common.tar.gz
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
%{label} tools

%prep
%setup -n %{name}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}
cp -a ./ %{buildroot}
find %{buildroot} -name .gitignore -exec rm {} \;

%post

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%dir /opt/ibm/powerkvm
/opt/ibm/powerkvm/controller/__init__.py
/opt/ibm/powerkvm/controller/pkvmerror.py
/opt/ibm/powerkvm/model/*
/opt/ibm/powerkvm/modules/i18n/*
/opt/ibm/powerkvm/modules/identifysystem/*
/opt/ibm/powerkvm/modules/grub/*
/opt/ibm/powerkvm/modules/network/*
/opt/ibm/powerkvm/modules/rootpassword/*
/opt/ibm/powerkvm/modules/timezone/*
/opt/ibm/powerkvm/modules/partitioner/__init__.py
/opt/ibm/powerkvm/modules/partitioner/pkvmutils.py
/opt/ibm/powerkvm/modules/__init__.py
/opt/ibm/powerkvm/modules/scriptbase.py
/opt/ibm/powerkvm/po/*
/opt/ibm/powerkvm/viewer/__init__.py
/opt/ibm/powerkvm/viewer/__data__.py
